org.jboss.jca.adapters.jdbc.extensions.novendor

## Class SQLExceptionValidConnectionChecker

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.extensions.novendor.SQLExceptionValidConnectionChecker

- All Implemented Interfaces:
    java.io.Serializable, ValidConnectionChecker

      public class SQLExceptionValidConnectionChecker
      extends java.lang.Object
      implements ValidConnectionChecker, java.io.Serializable

  Always throws a SQLException
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLExceptionValidConnectionChecker()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReason()` Get the reason
    `java.lang.String` | `getSQLState()` Get the SQL state
    `java.lang.Integer` | `getVendorCode()` Get the vendor code
    `java.sql.SQLException` | `isValidConnection(java.sql.Connection c)` Checks the connection is valid
    `void` | `setReason(java.lang.String v)` Set the reason
    `void` | `setSQLState(java.lang.String v)` Set the SQL state
    `void` | `setVendorCode(java.lang.Integer v)` Set the vendor code

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLExceptionValidConnectionChecker

          public SQLExceptionValidConnectionChecker()

      Constructor

  - ### Method Detail

    - #### getReason

          public java.lang.String getReason()

      Get the reason
      Returns:
        The value

    - #### setReason

          public void setReason(java.lang.String v)

      Set the reason
      Parameters:
        `v` - The value

    - #### getSQLState

          public java.lang.String getSQLState()

      Get the SQL state
      Returns:
        The value

    - #### setSQLState

          public void setSQLState(java.lang.String v)

      Set the SQL state
      Parameters:
        `v` - The value

    - #### getVendorCode

          public java.lang.Integer getVendorCode()

      Get the vendor code
      Returns:
        The value

    - #### setVendorCode

          public void setVendorCode(java.lang.Integer v)

      Set the vendor code
      Parameters:
        `v` - The value

    - #### isValidConnection

          public java.sql.SQLException isValidConnection(java.sql.Connection c)

      Checks the connection is valid
      Specified by:
        `isValidConnection` in interface `ValidConnectionChecker`
      Parameters:
        `c` - the connection
      Returns:
        Exception when not valid, null when valid

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)